.button-navigation-wrapper {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 100%;
}
.button-navigation-wrapper .contentlimit {
  width: 100%;
}
.button-navigation-wrapper .contentlimit .button-navigation {
  width: 100%;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger {
  display: none;
  background: var(--primary-color);
  color: var(--primary-font);
  border: none;
  padding: 0.75em 1em;
  cursor: pointer;
  font-size: 1rem;
  gap: 1em;
  align-items: center;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-icon {
  display: inline-block;
  width: 20px;
  height: 14px;
  position: relative;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-icon span {
  display: block;
  width: 100%;
  height: 2px;
  background: var(--primary-font);
  position: absolute;
  left: 0;
  transition: all 150ms ease-in-out;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-icon span:first-child {
  top: 0;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-icon span:nth-child(2) {
  top: 6px;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-icon span:last-child {
  top: 12px;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-text .do-open {
  display: inline;
  visibility: visible;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-burger .burger-text .do-close {
  display: none;
  visibility: hidden;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-burger {
  display: flex;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-links {
  display: grid;
  grid-template-rows: 0fr;
  grid-template-columns: 1fr;
  opacity: 0;
  transition: grid-template-rows 150ms ease-in-out, opacity 150ms ease-in-out;
  width: 100%;
  background: var(--primary-font);
  padding: 0;
  visibility: hidden;
  margin: 0;
  pointer-events: none;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-links .button-navigation-links-inner {
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: flex-start;
  gap: 0;
  width: 100%;
  overflow: hidden;
  min-height: 0;
  list-style: none;
  margin: 0;
  padding: 0;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-links .button-navigation-links-inner li {
  width: 100%;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-links .button-navigation-links-inner li .button-navigation-link {
  width: 100%;
  color: var(--primary-color);
  background: transparent;
  border-bottom: dashed 1px var(--primary-color);
  padding: 1em;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger .button-navigation-links .button-navigation-links-inner li .button-navigation-link.active {
  box-shadow: none;
  background: transparent;
  font-weight: 700;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-burger .burger-icon span:first-child {
  top: 6px;
  transform: rotate(45deg);
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-burger .burger-icon span:nth-child(2) {
  opacity: 0;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-burger .burger-icon span:last-child {
  top: 6px;
  transform: rotate(-45deg);
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-burger .burger-text .do-open {
  display: none;
  visibility: hidden;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-burger .burger-text .do-close {
  display: inline;
  visibility: visible;
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-open .button-navigation-links, .button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-is-closing .button-navigation-links {
  grid-template-rows: 1fr;
  opacity: 1;
  pointer-events: auto;
  padding: 2rem;
  visibility: visible;
  margin-top: 2rem;
  -webkit-box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
  box-shadow: 0px 0px 5px 0px rgba(0, 0, 0, 0.1);
}
.button-navigation-wrapper .contentlimit .button-navigation.show-burger.burger-is-closing .button-navigation-links {
  grid-template-rows: 0fr;
  opacity: 0;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-links {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  overflow: hidden;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-links .button-navigation-links-inner {
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
  flex-wrap: wrap;
  gap: 1rem;
  list-style: none;
  margin: 0;
  padding: 0;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-links li {
  display: flex;
  justify-content: center;
  align-items: center;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-links li .button-navigation-link {
  background: var(--primary-color);
  color: var(--primary-font);
  padding: 0.5em 1em;
}
.button-navigation-wrapper .contentlimit .button-navigation .button-navigation-links li .button-navigation-link.active {
  background: var(--primary-font);
  color: var(--primary-color);
  box-shadow: inset 0 0 0 2px var(--primary-color);
}